<?sphp $this->text('pagetitle') ?>
 
Home of the Squeezebox™ & Transporter® network music players.

Logitech Media Server on Mandriva Linux LE2005

From SqueezeboxWiki

Revision as of 00:23, 11 November 2011 by Soulkeeper (Talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

This page needs editing. Should probably be updated for SBS 7.5.1 This is a blow-by-account of my experience of installing slimserver on MandrivaLinux LE2005 to investigate why it doesn't work out-of-the-box.

  • Download 3 x ISOs
  • Burn 3 x CDs
  • Boot aging Compaq Deskpro Pentium II (128MB RAM, 4GB disk) from CD 1.
  • Hit Enter to install.
  • Error reading CD
  • Break open PC and move CDROM drive onto secondary channel
  • Boot again from CD 1
  • Hit Enter to install
  • Error reading CD
  • Burn another copy of CD 1
  • Boot from new CD 1
  • Error reading CD
  • Check CD 1 in another PC - booted OK
  • Replace CD drive with a spare
  • Boot from CD 1
  • Hit Enter to install
    • Yay, it's working.
  • Select Language - English (British)
  • Accept licence agreement
  • Select UK Keyboard
  • Selected High security level (default)
  • Chose to remove Windows (the PC had windows 98 on it)
    • (hard drive partitioned and filesystems created)
/dev/hda1  1619MB  //dev/hda5  ?       swap/dev/hda6  1092MB  /home
  • Yes, I've got all three disks.
  • No, I don't want to copy them to the hard drive
  • Select "No supplementary Installation Media"
  • Default package selection:
    • Office Workstation
    • Multimedia Station
    • Internet Station
    • Configuration
    • Console Tools
    • KDE Workstation
  • Added "Network Computer Server" (I want ssh).
  • Bah, default root filesystem is too small for all these options
  • De-selected "Office Workstation"
  • Yes, I'm sure I want to install those servers...
  • Right, down the pub while the installation chugs away...
  • Come back (hic) and put in CD 2
  • Put in CD 3
  • Set root password
  • Added myself as a user
  • Configured sound card
  • Yes, I have an ISA sound card
  • Put in CD 1
    • "Run alsaconf or sndconfig after installation to configure your sound card"
  • Configure graphical interface
  • Chose graphics card, and Xorg with Hardware Accelaration
  • Chose monitor, resolution & colour depth
  • Tested configuration
    • It worked!
  • Chose to boot into X
  • Chose to download updates
    • (not sure if anything happened?)
  • Congratulations! Installation complete
  • Rebooted
  • System came up cleanly into graphical mode
  • Firstboot wizard ran
  • Skipped survey
  • I don't want to join the Mandrake club!
  • Cancelled MandrakeOnline wizard.
  • Logged in as robin
  • Ran System Configuration
    • (authenticated as root)
  • Configured existing network interface and set static IP address
  • Set hostname to "mandy" :)
  • Used ssh to connect to the box remotely
    • Yay I'm in!
  • Quick check:
$ perl --versionThis is perl, v5.8.6 built for i386-linux(with 1 registered patch, see perl -V for more detail)
  • Grabbed the latest slimserver 6.2 nightly:
$ wget http://slimdevices.com/downloads/nightly/latest/6.2/slimserver-2005_09_01-1.noarch.rpm
  • Changed user to root and Installed the rpm:
$ su -Password:# urpmi slimserver-2005_09_01-1.noarch.rpminstalling slimserver-2005_09_01-1.noarch.rpmPreparing...   #############################################1/1: slimserver   #############################################Point your web browser to http://localhost:/ to configure your server.
  • Is slimserver set to start automatically:
# chkconfig --list slimserverslimserver      0:off   1:off   2:off   3:on    4:on    5:on    6:off
    • Yes.
  • Is slimserver running?
# service slimserver statusslimserver.pl is stopped
    • No.
  • Try to start slimserver:
# service slimserver startStarting SlimServer:                                            [  OK  ]
  • Is slimserver still running?
# ps -ef | grep slimroot     16518 14317  0 22:00 pts/1    00:00:00 grep slim
    • No.
  • Check the log:
# less /tmp/slimserver.logCan't locate auto/DBI/connect.al in @INC (@INC contains: /usr/local/slimserver/Plugins /usr/local/slimserver /usr/local/slimserver/CPAN /usr/local/slimserver/CPAN/arch/5.8.6/i386-linux /usr/local/slimserver/CPAN/arch/5.8.6/i386-linux/auto /usr/local/slimserver/CPAN/arch/5.8/i386-linux /usr/local/slimserver/CPAN/arch/5.8/i386-linux/auto /usr/local/slimserver/CPAN/arch/i386-linux /usr/lib/perl5/5.8.6/i386-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i386-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.6/i386-linux /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl .) at /usr/local/slimserver/Slim/DataStores/DBI/DataModel.pm line 143
    • This is the error I am trying to resolve.
  • Check what arch files are installed with slimserver:
# cd /usr/local/slimserver/CPAN/arch/5.8# lsi386-linux-thread-multi/  mipsel-linux/i586-linux-thread-multi/  x86_64-linux/
    • Notice how the @INC (above) doesn't include any of these paths.
  • Add a symlink "i386-linux" to i586-linux-thread-multi:
# ln -s i586-linux-thread-multi i386-linux# ls -ltotal 16lrwxrwxrwx  1 root       root         23 Sep  1 22:04 i386-linux -> i586-linux-thread-multi/drwxr-xr-x  3 slimserver slimserver 4096 Sep  1 21:53 i386-linux-thread-multi/drwxr-xr-x  3 slimserver slimserver 4096 Sep  1 21:53 i586-linux-thread-multi/drwxr-xr-x  3 slimserver slimserver 4096 Sep  1 21:53 mipsel-linux/drwxr-xr-x  3 slimserver slimserver 4096 Sep  1 21:53 x86_64-linux/
  • Try running slimserver again:
# service slimserver startStarting SlimServer: /usr/bin/perl: symbol lookup error: /usr/local/slimserver/CPAN/arch/5.8/i386-  linux/auto/Time/HiRes/HiRes.so:   undefined symbol: Perl_Tstack_sp_ptr                                                              [FAILED]
    • Ooops.
  • Right, remove the symlink and try building the perl modules:
# rm i386-linx# cd /usr/local/slimserver/Bin# ./build-perl-modules.plWelcome to the Slim Devices perl module installer.These packages are needed for SlimServer 6 to function.You will need a C compiler (gcc), make, and perl installed.*** Ignore any warnings about AppConfig. ***Please enter a perl binary to use (defaults to /usr/bin/perl)This must be the same perl binary that you ran this program with -->Please enter the path to your SlimServer directory (ex: /usr/local/slimserver) -->Please enter a directory to download files to -->Downloads will use lwp to fetch tarballs.Downloading Compress-Zlib-1.33.tar.gz to: /usr/local/slimserver/BinUncompressing..Configuring../usr/bin/perl Makefile.PLUp/Downgrade complete.Building..make: *** No rule to make target `/usr/lib/perl5/5.8.6/i386-linux/CORE/EXTERN.h', needed by  `Zlib.o'.   Stop.Couldn't find a valid dynamic library for Compress-Zlib-1.33.tar.gz - something is wrong. Exiting!
    • OK, let's see if some updates will help.
urpmi.addmedia --update updates http://anorien.csc.warwick.ac.uk/mirrors/Mandrakelinux/official/updates/LE2005/main_updates/ with media_info/hdlist.czurpmi.addmedia main http://anorien.csc.warwick.ac.uk/mirrors/Mandrakelinux/official/2005/i586/media/main with media_info/hdlist.czurpmi.addmedia contrib http://anorien.csc.warwick.ac.uk/mirrors/Mandrakelinux/official/2005/i586/media/contrib with media_info/hdlist.cz
  • Ran MandrakeLinux Update from the Graphical interface
    • found 83 updates (300MB!)
    • I notice the perl was one of the updates
    • original version of perl: perl-5.8.6-6mdk
    • new version of perl: perl-5.8.6-6.1.102mdk
  • Try starting slimserver:
    • same error as before (connect.al)
  • Tried building perl modules again
    • same error as before (EXTERN.h)
  • Used rpmdrake to search for EXTERN.h
    • it's in perl-devel.
  • Installed perl-devel
  • Tried build-perl-modules again
    • ack! gcc not installed!
  • Installed gcc-3.4.7
    • rpmdrake identified dependencies and also installed:
      • binutils
      • glibc-devel
      • libbinutils
  • Tried build-perl-modules again
  • Template Toolkit requires AppConfig
    • ignored this for now as it didn't appear to be a fatal error.
  • XML::Parser requires expat to be installed
    • Installed libexpat0-devel
  • Tried build-perl-modules again
    • completed successfully.
  • Try starting slimserver:
    • Bingo!
  • Browse to slimserver on mandy from a different machine on network:
http://mandy.robinbowes.com:9000
    • Can't connect. Hmmm.
  • Browse to slimserver on mandy from mandy:
http://mandy.robinbowes.com:9000
    • It works!
    • Aha, need to open up some ports.
  • Use Control Centre to open up the following ports:
    • 3483/tcp
    • 3483/udp
    • 9000/tcp
  • Browse to slimserver on mandy from a different machine on network:
http://mandy.robinbowes.com:9000
    • Success!! It's working!